d.save(1)

NAME
d.save - Create a list of commands for recreating screen graphics.

SYNOPSIS
d.save
d.save help
d.save [-cao] [frame=string[,string,...]] [remove=integer[,integer,...]] [move=from,to[,from,to,...]]

  Flags:

-c  Save current frame

-a  Save all the frames

-o  Only map objects without extra header and tailer

  Parameters:

frame=string[,string,...]
    Name of frame(s) to save

remove=integer[,integer,...]
    List no's to be removed, which are displayed in the right-most comments.
            Note: 0 means the first drawing(equals 1), -1 means the last one.

move=from,to[,from,to,...]
    List no's to be moved, "from" to "to".
            Note: remove option will be done first, if any.

DESCRIPTION
When GRASS display (d.) commands are used to generate graphical images on the graphics monitor, some commands are noted in lists that the current graphics driver (see manual entry for d.mon) maintains. This command, d.save, uses this information to create a shell script that can be used to recreate graphics in another frame at another time. The shell script is sent to standard output (the user's terminal). If you wish to save the shell script created by d.save, its output should be redirected to a file; for example: d.save > script.out

The user can run the program non-interactively by specifying flag settings and parameter values on the command line. If the user types d.save without specifying these program arguments, the user will be prompted for inputs through the standard user interface described in the manual entry for parser.

NOTES
List no's are displayed in the right-most comments.

Display commands used interactively, and those that take their graphic instructions from standard input, will not be saved by d.save.

SEE ALSO
d.frame
d.mon
g.region
parser

AUTHOR
David Satnik, Central Washington University

Last changed: $Date: 2003/04/11 15:20:00 $

Help Index